:root {
	--theme-color: #646cff;
	--theme-background-color: #F0F0FF;
	--theme-btn-radius: 4px;
}

/* 登录页面图片背景 */
.login-cover {
	background-color: var(--theme-color)!important;
}
/* 登录页面登录按钮背景 */
.login-body .layui-btn-fluid{
	background-color: var(--theme-color)!important;
}

/* 登录页面相关按钮颜色 */
.login-body .layui-form-checkbox a,
.login-body .go-register-or-login,
.login-body .forget-password{
	color: var(--theme-color)!important;
}

/* 输入框焦点颜色 */
.layui-input:focus, .layui-textarea:focus{
	border-width: 1px!important;
	border-color: var(--theme-color)!important;
	box-shadow: 0 0 0 3px var(--theme-background-color)!important;
}

/* 输入框鼠标放入颜色 */
.layui-input:hover, .layui-textarea:hover{
	border-color: var(--theme-color);
}

/* 复选框颜色 */
.layui-form-checked[lay-skin=primary]>i{
	border-color: var(--theme-color)!important;
	background-color: var(--theme-color)!important;
}
/* 复选框选中颜色 */
.layui-form-checkbox[lay-skin=primary]:hover>i{
	border-color: var(--theme-color)!important;
}
/* 全选选中颜色 */
.layui-form-checkbox[lay-skin=primary] > .layui-icon-indeterminate{
	border-color: var(--theme-color)!important;
}
.layui-form-checkbox[lay-skin=primary] > .layui-icon-indeterminate:before{
	background-color: var(--theme-color)!important;
}

/* 按钮颜色 */
.ange-btn-ange{
	background-color: var(--theme-color)!important;
}

.ange-btn-ange:focus {
	box-shadow: 0 0 0 3px var(--theme-background-color)!important;
}

.ange-btn-ange[plain]:hover {
	color: var(--theme-color)!important;
	border-color: var(--theme-color)!important;
}

.ange-btn-ange[plain]:focus {
	color: var(--theme-color)!important;
	border-color: var(--theme-color)!important;
	box-shadow: 0 0 0 3px var(--theme-background-color)!important;
}
/*-------------layui组件start---------------*/
.layui-nav-tree > .layui-nav-item > a:before{
	/*background-color: var(--theme-color)!important;*/
	display: none;
}
.layui-btn{
	background-color: var(--theme-color)!important;
	box-shadow: 0 1px 0 rgba(0, 0, 0, .03)!important;
	border-radius: var(--theme-btn-radius)!important;
}
.layui-form-radio > i:hover,
.layui-form-radioed > i{
	color: var(--theme-color)!important;
}
.layui-tab-brief > .layui-tab-title .layui-this{
	color: var(--theme-color)!important;
}
.layui-tab-brief > .layui-tab-more li.layui-this:after,
.layui-tab-brief > .layui-tab-title .layui-this:after {
	border-color: var(--theme-color) !important;
}
.layui-form-onswitch {
	border-color: var(--theme-color)!important;
	background-color: var(--theme-color)!important;
}
.layui-input-wrap .layui-input:focus+.layui-input-split{
	border-color: var(--theme-color)!important;
}

.layui-form-select dl dd.layui-this{
	color: var(--theme-color)!important;
}

.layui-table-checked{
	background-color: var(--theme-background-color)!important;
}
.layui-menu .layui-menu-item-checked a, .layui-menu .layui-menu-item-checked2 a{
	color: var(--theme-color)!important;
}
.layui-menu .layui-menu-item-checked:after{
	border-right: 3px solid var(--theme-color)!important;
}
.layui-laypage .layui-laypage-curr .layui-laypage-em{
	background-color: var(--theme-color)!important;
}
.layui-form-radio:hover>*, .layui-form-radioed, .layui-form-radioed>i{
	color: var(--theme-color)!important;
}
.layui-laydate-content td>div:hover, .layui-laydate-list li:hover, .layui-laydate-shortcut>li:hover{
	background-color: var(--theme-background-color)!important;
}
.layui-laydate .layui-this, .layui-laydate .layui-this>div{
	background-color: var(--theme-color)!important;
}
.layui-laydate-header i:hover, .layui-laydate-header span:hover{
	color: var(--theme-color)!important;
}
.layui-laydate-footer span:hover{
	color: var(--theme-color)!important;
}
.layui-btn-group .layui-btn-primary:hover{
	color: var(--theme-color)!important;
}
/*-------------layui组件end---------------*/
/*上传图标按钮*/
.layui-upload-drag .layui-icon{
	color: var(--theme-color)!important;
}

/*-------------侧边栏start---------------*/
.layui-layout-admin .layui-header .layui-logo{
	color: #595959;
	letter-spacing: 2px;
	background-color: transparent;
	box-shadow: 2px 8px 8px 0 rgba(29, 35, 41, .05);
}
.layui-layout-admin .layui-side .layui-nav .layui-nav-item a {
	color: #595959;
}
.layui-layout-admin .layui-side .layui-nav-tree .layui-nav-item .layui-nav-child{
	background-color: transparent !important;
}
.layui-layout-admin .layui-side {
	background-color: #fff;
	box-shadow: 2px 8px 8px 0 rgba(29, 35, 41, .05);
}
.layui-layout-admin .layui-side .layui-nav .layui-nav-item a:hover {
	color: var(--theme-color);
}
.layui-layout-admin .layui-side .layui-nav-itemed > a, .theme-color .layui-side .layui-nav-tree .layui-nav-title a, .theme-color .layui-side .layui-nav-tree .layui-nav-title a:hover {
	color: var(--theme-color) !important;
}

@media screen and (min-width: 769px) {
	.layui-layout-admin.admin-nav-mini .layui-side .layui-nav li.layui-nav-itemed > a {
		background: var(--theme-background-color) !important;
	}
	.layui-layout-admin.admin-nav-mini .layui-side .layui-nav .admin-nav-hover > .layui-nav-child:before {
		background:  #fff !important;
	}
}

.layui-layout-admin .layui-side .layui-nav-tree .layui-nav-child dd.layui-this a, .theme-color .layui-side .layui-nav-tree .layui-this > a, .theme-color .layui-side .layui-nav-tree .layui-this > a:hover {
	color: var(--theme-color);
	background: var(--theme-background-color);
	/* border-right: 2px solid var(--ange-theme-color); */
}

.layui-layout-admin .layui-side .layui-nav .layui-nav-more {
	border-color: rgba(89, 89, 89, .7) transparent transparent;
}

.layui-layout-admin .layui-side .layui-nav .layui-nav-mored, .layui-layout-admin .layui-side .layui-nav-itemed > a .layui-nav-more {
	border-color: transparent transparent rgba(89, 89, 89, .7);
}

.layui-layout-admin .layui-side .layui-nav-tree.arrow3 .layui-nav-itemed > a > .layui-nav-more:before{
	background-color: rgba(89, 89, 89, .7);
}
.menu-theme-dark .layui-layout-admin .layui-header .layui-logo {
	background-color: #28333E;
	color: #ddd;
}
.menu-theme-dark .layui-layout-admin .layui-side {
	background-color: #28333E;
}
.menu-theme-dark .layui-nav-tree .layui-nav-child dd.layui-this a,
.menu-theme-dark .layui-nav-tree .layui-this > a,
.menu-theme-dark .layui-nav-tree .layui-this > a:hover{
	color: #fff!important;
	background: var(--theme-color)!important;
}
.menu-theme-dark .layui-side .layui-nav .layui-nav-item a{
	color: #ddd!important;
}

@media screen and (min-width: 769px) {
	.menu-theme-dark .admin-nav-mini .layui-side .layui-nav li.layui-nav-itemed > a {
		background: var(--theme-color)!important;
	}

	.menu-theme-dark .admin-nav-mini .layui-side .layui-nav .admin-nav-hover > .layui-nav-child:before {
		background: #28333E!important;
	}
}

.top-theme-dark .layui-layout-admin .layui-header {
	background-color: #28333E;
	color: #ddd!important;
}

.top-theme-dark .layui-layout-admin .layui-header .layui-logo{
	color: #ddd!important;
}
.top-theme-dark .layui-layout-admin .layui-header a{
	color: #ddd
}

.top-theme-dark .layui-layout-admin .layui-header .layui-nav .layui-this{
	background-color: var(--theme-color)!important;
}

.top-theme-dark .layui-layout-admin .layui-header .layui-nav .layui-this a{
	color: #FFFFFF!important;
}
/*-------------侧边栏end---------------*/



/* -------------主题样式---------------*/
